Agda-2.3.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None

Agda.Main

Description

Agda main module.

Synopsis

- runAgda :: TCM ()
- printUsage :: IO ()
- printVersion :: IO ()
- optionError :: String -> IO ()
- main :: IO ()

# Documentation

runAgda :: TCM ()

The main function

printUsage :: IO ()

Print usage information.

printVersion :: IO ()

Print version information.

optionError :: String -> IO ()

What to do for bad options.

main :: IO ()

Main